Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDXTheme Class Reference

`#include <VSDXTheme.h>`

## Public Member Functions
| VSDXTheme ()
| ~VSDXTheme ()
bool | parse (librevenge::RVNGInputStream *input)
boost::optional< Colour > | getThemeColour (unsigned value, unsigned variationIndex=0) const

## Private Member Functions
| VSDXTheme (const VSDXTheme &)
VSDXTheme & | operator= (const VSDXTheme &)
boost::optional< Colour > | readSrgbClr (xmlTextReaderPtr reader)
boost::optional< Colour > | readSysClr (xmlTextReaderPtr reader)
void | readClrScheme (xmlTextReaderPtr reader)
void | readThemeColour (xmlTextReaderPtr reader, int idToken, Colour &clr)
void | readVariationClrSchemeLst (xmlTextReaderPtr reader)
void | readVariationClrScheme (xmlTextReaderPtr reader, VSDXVariationClrScheme &varClrSch)
int | getElementToken (xmlTextReaderPtr reader)

## Private Attributes
VSDXClrScheme | m_clrScheme

## Constructor & Destructor Documentation

## § VSDXTheme() [1/2]

libvisio::VSDXTheme::VSDXTheme | ( |  | ) |

## § ~VSDXTheme()

libvisio::VSDXTheme::~VSDXTheme | ( |  | ) |

## § VSDXTheme() [2/2]

libvisio::VSDXTheme::VSDXTheme | ( | const VSDXTheme & |  | ) |
| private

## Member Function Documentation

## § getElementToken()

int libvisio::VSDXTheme::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse(), readClrScheme(), readSrgbClr(), readSysClr(), readThemeColour(), readVariationClrScheme(), and readVariationClrSchemeLst().

## § getThemeColour()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::getThemeColour | ( | unsigned | value,
|  | unsigned | variationIndex = `0`
| ) |  | const

Referenced by libvisio::VSDXParser::readShapeProperties(), and libvisio::VSDXParser::readStyleProperties().

## § operator=()

VSDXTheme& libvisio::VSDXTheme::operator= | ( | const VSDXTheme & |  | ) |
| private

## § parse()

bool libvisio::VSDXTheme::parse | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libvisio::VSDXParser::parseTheme().

## § readClrScheme()

void libvisio::VSDXTheme::readClrScheme | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by parse().

## § readSrgbClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSrgbClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## § readSysClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSysClr | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readThemeColour().

## § readThemeColour()

void libvisio::VSDXTheme::readThemeColour | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | Colour & | clr
| ) |  |
| private

Referenced by readClrScheme(), and readVariationClrScheme().

## § readVariationClrScheme()

void libvisio::VSDXTheme::readVariationClrScheme | ( | xmlTextReaderPtr | reader,
|  | VSDXVariationClrScheme & | varClrSch
| ) |  |
| private

Referenced by readVariationClrSchemeLst().

## § readVariationClrSchemeLst()

void libvisio::VSDXTheme::readVariationClrSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readClrScheme().

## Member Data Documentation

## § m_clrScheme

VSDXClrScheme libvisio::VSDXTheme::m_clrScheme
| private

Referenced by getThemeColour(), readClrScheme(), and readVariationClrSchemeLst().

The documentation for this class was generated from the following files:

- VSDXTheme.h
- VSDXTheme.cpp